#include <pslib.h>
#include <ippdb.h>
#include <stdlib.h>

int main ()
{
    {
        psDB            *dbh;
        summitExpRow    *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = summitExpRowAlloc("a string", "a string", "a string", "0001-01-01T00:00:00Z", "a string", "a string", -32);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!summitExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        summitImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = summitImfileRowAlloc("a string", "a string", "a string", "a string", -32, "a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!summitImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        pzPendingExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = pzPendingExpRowAlloc("a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!pzPendingExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        pzPendingImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = pzPendingImfileRowAlloc("a string", "a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!pzPendingImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        pzDoneExpRow    *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = pzDoneExpRowAlloc("a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!pzDoneExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        pzDoneImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = pzDoneImfileRowAlloc("a string", "a string", "a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!pzDoneImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        newExpRow       *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = newExpRowAlloc(-64, "a string", "a string", "a string", "a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!newExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        newImfileRow    *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = newImfileRowAlloc(-64, "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!newImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        rawExpRow       *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = rawExpRowAlloc(-64, "a string", "a string", "a string", "0001-01-01T00:00:00Z", "a string", "a string", "a string", "a string", "a string", "a string", 32.32, 64.64, 64.64, 32.32, 32.32, 64.64, 64.64, 64.64, 64.64, 64.64, 32.32, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", 32.32, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!rawExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        rawImfileRow    *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = rawImfileRowAlloc(-64, "a string", "a string", "a string", "0001-01-01T00:00:00Z", "a string", "a string", "a string", "a string", "a string", "a string", 32.32, 64.64, 64.64, 32.32, 32.32, 64.64, 64.64, 64.64, 64.64, 64.64, 32.32, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!rawImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        guidePendingExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = guidePendingExpRowAlloc(-64, -64, "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!guidePendingExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        chipRunRow      *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = chipRunRowAlloc(-64, -64, "a string", "a string", "a string", "a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!chipRunInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        chipProcessedImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = chipProcessedImfileRowAlloc(-64, -64, "a string", "a string", 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, -32, -32, -32, -32, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!chipProcessedImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        chipMaskRow     *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = chipMaskRowAlloc("a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!chipMaskInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        camRunRow       *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = camRunRowAlloc(-64, -64, "a string", "a string", "a string", "a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!camRunInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        camProcessedExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = camProcessedExpRowAlloc(-64, -64, "a string", 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, -32, -32, -32, -32, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!camProcessedExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        camMaskRow      *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = camMaskRowAlloc("a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!camMaskInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        warpRunRow      *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = warpRunRowAlloc(-64, "a string", "a string", "a string", "a string", "0001-01-01T00:00:00Z");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!warpRunInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        warpInputExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = warpInputExpRowAlloc(-64, -64, true);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!warpInputExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        warpSkyCellMapRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = warpSkyCellMapRowAlloc(-64, "a string", "a string", -64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!warpSkyCellMapInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        warpSkyfileRow  *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = warpSkyfileRowAlloc(-64, "a string", "a string", "a string", "a string", 64.64, 64.64, 64.64, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!warpSkyfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        diffRunRow      *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = diffRunRowAlloc(-64, "a string", "a string", "a string", "0001-01-01T00:00:00Z", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!diffRunInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        diffInputSkyfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = diffInputSkyfileRowAlloc(-64, true, -64, -64, "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!diffInputSkyfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        diffSkyfileRow  *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = diffSkyfileRowAlloc(-64, "a string", "a string", 64.64, 64.64, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!diffSkyfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        stackRunRow     *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = stackRunRowAlloc(-64, "a string", "a string", "a string", "0001-01-01T00:00:00Z", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!stackRunInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        stackInputSkyfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = stackInputSkyfileRowAlloc(-64, -64);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!stackInputSkyfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        stackSumSkyfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = stackSumSkyfileRowAlloc(-64, "a string", "a string", 64.64, 64.64, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!stackSumSkyfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detRunRow       *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detRunRowAlloc(-64, -32, "a string", "a string", "a string", "a string", "a string", "a string", "a string", "a string", "a string", "a string", 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 64.64, 64.64, "0001-01-01T00:00:00Z", "0001-01-01T00:00:00Z", "0001-01-01T00:00:00Z", "0001-01-01T00:00:00Z", "0001-01-01T00:00:00Z", 32.32, 32.32, "a string", -32);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detRunInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detInputExpRow  *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detInputExpRowAlloc(-64, -32, -64, true);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detInputExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detProcessedImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detProcessedImfileRowAlloc(-64, -64, "a string", "a string", "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detProcessedImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detProcessedExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detProcessedExpRowAlloc(-64, -64, "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detProcessedExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detStackedImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detStackedImfileRowAlloc(-64, -32, "a string", "a string", "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detStackedImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detNormalizedStatImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detNormalizedStatImfileRowAlloc(-64, -32, "a string", 32.32, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detNormalizedStatImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detNormalizedImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detNormalizedImfileRowAlloc(-64, -32, "a string", "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detNormalizedImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detNormalizedExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detNormalizedExpRowAlloc(-64, -32, "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detNormalizedExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detResidImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detResidImfileRowAlloc(-64, -32, -64, "a string", "a string", "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detResidImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detResidExpRow  *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detResidExpRowAlloc(-64, -32, -64, "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", true, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detResidExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detRunSummaryRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detRunSummaryRowAlloc(-64, -32, 64.64, 64.64, 64.64, true, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detRunSummaryInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detRegisteredImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detRegisteredImfileRowAlloc(-64, -32, "a string", "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detRegisteredImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        magicRunRow     *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = magicRunRowAlloc(-64, "a string", "a string", "a string", "a string", "a string", "0001-01-01T00:00:00Z");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!magicRunInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        magicInputSkyfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = magicInputSkyfileRowAlloc(-64, -64, "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!magicInputSkyfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        magicTreeRow    *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = magicTreeRowAlloc(-64, "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!magicTreeInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        magicNodeResultRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = magicNodeResultRowAlloc(-64, "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!magicNodeResultInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        magicMaskRow    *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = magicMaskRowAlloc(-64, "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!magicMaskInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    exit(EXIT_SUCCESS);
}
